Subject: [Roll] RPL bootstrap question: neighbor cache and DIOs dependency

From: "Julien Abeille (jabeille)" <[email-masked]>
Date: Wed, 28 Oct 2009 17:43:15 +0100

Hi all,
 
as explained in section 5.4.2 of RPL, a DIO must not be processed if the
source is not in the neighbor cache. The question is how do we expect
the neighbor cache to be filled? 
topology:
A
|
B
B receives a DIO from A, A is not in B's neighbor cache:
 
NS/NA exchanges will probably not occur, as B has no good reason to send
packets to A (A is not a router for B, B has most of the time no data to
send to A)
RS/RA exchanges: do we expect to send RAs in RPL environments? Would
this be enough?
If there are no frequent RAs, or unsolicited NAs, then A will likely
never be in B's neighbor cache.
 
One way to solve this would be to allow SLLAO option in DIOs. Processing
this option in ICMP messages (NS, RS, RA) is a well known process, and
would create an entry in the neighbor cache, state STALE.
 
what do you think?
 
Julien